package com.nexo.model.douyin.service;

import com.nexo.common.mybatis.core.page.PageQuery;
import com.nexo.common.mybatis.core.page.TableDataInfo;
import com.nexo.model.douyin.domain.UpdataStatusBo;
import com.nexo.module.api.douyin.domain.NexoDouyinUserInfo;

import java.util.Collection;
import java.util.List;

/**
 * 抖音用户信息Service接口
 *
 * @author nexo
 * @date 2026-05-21
 */
public interface INexoDouyinUserInfoService {

    /**
     * 查询抖音用户信息
     */
    NexoDouyinUserInfo queryById(String userId);

    /**
     * 查询抖音用户信息列表
     */
    TableDataInfo<NexoDouyinUserInfo> queryPageList(NexoDouyinUserInfo item, PageQuery pageQuery);

    /**
     * 查询抖音用户信息列表
     */
    List<NexoDouyinUserInfo> queryList(NexoDouyinUserInfo item);

    /**
     * 修改抖音用户信息
     */
    Boolean insertBy(NexoDouyinUserInfo item);

    /**
     * 修改抖音用户信息
     */
    Boolean updateBy(NexoDouyinUserInfo item);

    /**
     * 校验并批量删除抖音用户信息信息
     */
    Boolean deleteWithValidByIds(Collection<String> ids, Boolean isValid);

    Boolean updateMonitorState(UpdataStatusBo item);

}
